ctmc

// Upper limits on state variables a and b.
const int maxa = 6;
const int maxb = 10; 

module pmodel1

        a : [0..maxa] init 0;
        b : [0..maxb] init 0;

[inca]     (a > 1) & (a < 5) & (b = 3) -> 0.3:
                     (a'=a+1) &(b'=b-1);
[ubounda]  (b > 3) & (a < maxa) -> 0.1:
                     (a' = a + 1) & (b' = b - 1);
[lbounda]  (b = 2) & (a > 0 ) -> 0.6: (a' = a - 1);
[lboundb]  (a = 0) & (b > 0) -> 0.01: (b' = b - 1);
[uboundb]  (b < maxb) -> 0.1: (b' = b + 1);
endmodule 
