package gameoflife.relogo

import static repast.simphony.relogo.Utility.*;
import static repast.simphony.relogo.UtilityG.*;
import repast.simphony.relogo.Stop;
import repast.simphony.relogo.Utility;
import repast.simphony.relogo.UtilityG;
import repast.simphony.relogo.schedule.Go;
import repast.simphony.relogo.schedule.Setup;
import gameoflife.ReLogoObserver;

class UserObserver extends ReLogoObserver{
	@Setup
	def setup(){
		clearAll()
		ask(patches()) {
			initialize()
		}
	}

    @Go
	def step() {
		// Ask each cell to determine its next state,
		// based on the current state of its neighbors.
		ask(patches()) {	
			determineNextState()
		}
		// Change the state of each cell to be
		// the value just determined.
		ask(patches()) {	
			setNextState()
		}
	}
}