package malaria.relogo

import repast.simphony.relogo.factories.AbstractReLogoGlobalsAndPanelFactory
import repast.simphony.engine.environment.RunEnvironment
import repast.simphony.parameter.Parameters

public class UserGlobalsAndPanelFactory extends AbstractReLogoGlobalsAndPanelFactory{
	public void addGlobalsAndPanelComponents(){
		// Load all of the configuration from the parameters' file.
		Parameters p = RunEnvironment.getInstance().getParameters();
		
        addGlobal("humanInitialInfectionProbability", p.getValue("humanInitialInfectionProbability"))
        addGlobal("humanInfectionPeriod", p.getValue("humanInfectionPeriod"))
        addGlobal("humanMaximumMovement", p.getValue("humanMaximumMovement"))
        addGlobal("mosquitoInitialInfectionProbability", p.getValue("mosquitoInitialInfectionProbability"))
        addGlobal("mosquitoInfectionPeriod", p.getValue("mosquitoInfectionPeriod"))
        addGlobal("mosquitoInfectionRadius", p.getValue("mosquitoInfectionRadius"))
        addGlobal("mosquitoMaximumMovement", p.getValue("mosquitoMaximumMovement"))
        addGlobal("numHumans", p.getValue("numHumans"))
        addGlobal("numMosquitoes", p.getValue("numMosquitoes"))
        addGlobal("stopTime", p.getValue("stopTime"))
	}
}