
//this model represents switching
//and the occupancy of E and B


stochastic


const double btobb = 0.2;
const double bbtob = 0.04;
const double tob=0.02 ;
const double bto = 0.2;

const double etoee = 0.2;
const double eetoe = 0.04;
const double toe =  0.02;
const double eto = 0.02;

 
 


//default switch rates
const double eeswtichon = 0.0002;
const double eeswtichoff = 0.02;
const double bbswtichon =0.002;
const double bbswtichoff =0.002;


const int FimB;
const int FimE=1;


 




module leftBS

 
bl: [0..2] init 0;
el: [0..2] init 0;

[] bl=0 & el =0 ->  FimB*tob:(bl' =1);
[] bl=1 & el =0 -> bto:(bl' =0) + FimB*btobb:(bl' =2) ;
[] bl=2 & el =0 -> bbtob:(bl' =1) ;

[] el=0 & bl=0->  FimE*toe:(el' =1);
[] el=1 & bl=0 -> eto:(el' =0) + FimE*etoee:(el' =2) ;
[] el=2  & bl=0-> eetoe:(el' =1) ;

endmodule 


module rightBS=leftBS [bl=br, el=er] endmodule


module switch1

//we say that state 0 corresponds to off

switch: [0..1] init 0;

[switch1] switch = 0 & ((bl =2 & br=2))->  bbswtichon:(switch' =1);
[switch2] switch = 0 & ((el =2 & er=2))->  eeswtichon:(switch' =1);

[switch3] switch = 1 & ((bl =2 & br=2))->  bbswtichoff:(switch' =0);
[switch4] switch = 1 & ((el =2 & er=2))->  eeswtichoff:(switch' =0);



endmodule

 


rewards
switch =1: 1;
endrewards
